giraph-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (GIRAPH-1138) Don't wrap exceptions from executor service
Date Wed, 10 May 2017 16:32:04 GMT

    [ https://issues.apache.org/jira/browse/GIRAPH-1138?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16004968#comment-16004968
] 

ASF GitHub Bot commented on GIRAPH-1138:
----------------------------------------

Github user dlogothetis commented on a diff in the pull request:

    https://github.com/apache/giraph/pull/37#discussion_r115789355
  
    --- Diff: giraph-core/src/main/java/org/apache/giraph/utils/ProgressableUtils.java ---
    @@ -270,8 +270,16 @@ public static void awaitSemaphorePermits(final Semaphore semaphore,
               // Try to get result from the future
               result = entry.getValue().get(
                   MSEC_TO_WAIT_ON_EACH_FUTURE, TimeUnit.MILLISECONDS);
    -        } catch (InterruptedException | ExecutionException e) {
    -          throw new IllegalStateException("Exception occurred", e);
    +        } catch (InterruptedException e) {
    +          throw new IllegalStateException("Interrupted", e);
    +        } catch (ExecutionException e) {
    +          // Execution exception wraps the actual cause
    +          if (e.getCause() instanceof RuntimeException) {
    --- End diff --
    
    Apparently a null check is not needed, http://stackoverflow.com/questions/2950319/is-null-check-needed-before-calling-instanceof


> Don't wrap exceptions from executor service
> -------------------------------------------
>
>                 Key: GIRAPH-1138
>                 URL: https://issues.apache.org/jira/browse/GIRAPH-1138
>             Project: Giraph
>          Issue Type: Improvement
>            Reporter: Maja Kabiljo
>            Assignee: Maja Kabiljo
>            Priority: Minor
>
> In ProgressableUtils.getResultsWithNCallables we wrap exceptions from underlying threads,
making logs hard to read. We should re-throw original exception when possible.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message